Roundup Tracker - Issues

Issue 2550885

classification
Title: Documentation: update the roundup-mailgw manpage (check other manpages as well)
Type: behavior Severity: normal
Components: Documentation Versions: 1.5
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: rouilj Nosy List: ber, rouilj
Priority: Keywords: Effort-Low

Created on 2015-05-23 21:34 by ber, last changed 2019-11-03 19:45 by rouilj.

Messages
msg5317 Author: [hidden] (ber) Date: 2015-05-23 21:34
In issue2550884 it was noticed that the manpage of roundup-mailgw
is outdated compared to the usage() string. 

Tasks
a) update the manpage
b) check the state of the other manpages
c) think about a method how to prevent the two texts to get out of sync again to prevent 
the situation to happen.

As for c) ideally there would only be one text and not several ones.
Maybe rst2man could help here (I am not sure).
msg6714 Author: [hidden] (rouilj) Date: 2019-10-07 21:50
rev5904:76e270b35e63 has updates to roundup-mailgw. No progress on 
unified source for man page and help text nor on looking at other pages.
msg6790 Author: [hidden] (rouilj) Date: 2019-11-03 19:29
Updated roundup-admin.1 man page. Included command list and updated 
options list.
msg6791 Author: [hidden] (rouilj) Date: 2019-11-03 19:45
Updated rest of man pages.

rev5969:247f176f9020 - roundup-server
rev5968:e8d64096fb08 - roundup-admin

roundup-demo is good as is.

Closing.
History
Date User Action Args
2019-11-03 19:45:28rouiljsetstatus: open -> fixed
type: behavior
resolution: fixed
messages: + msg6791
2019-11-03 19:29:09rouiljsetstatus: new -> open
assignee: rouilj
messages: + msg6790
2019-10-07 21:50:03rouiljsetkeywords: + Effort-Low
nosy: + rouilj
messages: + msg6714
2015-05-23 21:34:14bercreate